***Analisi alcol regionale

svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

estpost svy, vce(linearized): tabulate anno consumo_maggior_rischio if anno>=2010, ci row percent
estout using consmaggrischXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consumo_maggior_rischio if anno>=2010 & claeta3==1, ci row percent
estout using consmaggrischXanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consumo_maggior_rischio if anno>=2010 & claeta3==2, ci row percent
estout using consmaggrischXanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consumo_maggior_rischio if anno>=2010 & claeta3==3, ci row percent
estout using consmaggrischXanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consumo_maggior_rischio if anno>=2010 & sesso==1, ci row percent
estout using consmaggrischXanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consumo_maggior_rischio if anno>=2010 & sesso==2, ci row percent
estout using consmaggrischXanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate anno binge_2014 if anno>=2010, ci row percent
estout using bingeXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno binge_2014 if anno>=2010 & claeta3==1, ci row percent
estout using binge_2014Xanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno binge_2014 if anno>=2010 & claeta3==2, ci row percent
estout using binge_2014Xanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno binge_2014 if anno>=2010 & claeta3==3, ci row percent
estout using binge_2014Xanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno binge_2014 if anno>=2010 & sesso==1, ci row percent
estout using binge_2014Xanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno binge_2014 if anno>=2010 & sesso==2, ci row percent
estout using binge_2014Xanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

keep if anno>2021

estpost svy, vce(linearized): tabulate consumo_alcol, ci percent
estout using consumoalcol.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consumo_alcol if gravidanza==1, ci percent
estout using consumoalcolgravidanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consumo_alcol if allattamento==1, ci percent
estout using consumoalcolallattamento.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consumo_alcol if mal_fegato==1, ci percent
estout using consumoalcolmalfegato.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fuori_pasto, ci percent
estout using fuoripasto.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consumo_abit_elev, ci percent
estout using consumoabitelev.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate binge_2014 if anno>=2010, ci percent
estout using binge.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consumo_maggior_rischio if anno>=2010, ci percent
estout using consumomaggrisch.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova consumo_maggior_rischio if anno>=2010, ci row percent
estout using consumomaggrischXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate sesso binge_2014 if anno>=2010, ci row percent
estout using bingeXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 binge_2014 if anno>=2010, ci row percent
estout using bingeXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso binge_2014 if anno>=2010, ci row percent
estout using bingeXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat binge_2014 if anno>=2010, ci row percent
estout using bingeXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat binge_2014 if anno>=2010, ci row percent
estout using bingeXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza binge_2014 if anno>=2010, ci row percent
estout using bingeXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova binge_2014 if anno>=2010, ci row percent
estout using bingeXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate medico_sugg_meno_bis if anno>=2010 & s05_alcool_chiesto !=4 & consumo_maggior_rischio==1, ci percent
estout using suggberemeno_a_consmaggrisch.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate medico_sugg_meno_bis if s05_alcool_chiesto !=4 & fuori_pasto==1, ci percent
estout using suggberemeno_a_fuoripasto.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate medico_sugg_meno_bis if anno>=2010 & s05_alcool_chiesto !=4 & binge_2014==1, ci percent
estout using suggberemeno_a_binge.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate medico_sugg_meno_bis if s05_alcool_chiesto !=4 & consumo_abit_elev==1, ci percent
estout using suggberemeno_a_consabitelev.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



xi: svy: logistic consumo_maggior_rischio  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza if anno>=2010
outreg2 using modello_multivariato_rischio.xls, label eform ci nocons append
xi: svy: logistic consumo_maggior_rischio  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza if anno>=2010 & sesso==1
outreg2 using modello_multivariato_rischio.xls, label eform ci nocons append
xi: svy: logistic consumo_maggior_rischio  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza if anno>=2010 & sesso==2
outreg2 using modello_multivariato_rischio.xls, label eform ci nocons append

xi: svy: logistic binge_2014  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza if anno>=2010
outreg2 using modello_multivariato_binge.xls, label eform ci nocons append 
xi: svy: logistic binge_2014  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza if anno>=2010 & sesso==1
outreg2 using modello_multivariato_binge.xls, label eform ci nocons append 
xi: svy: logistic binge_2014  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza if anno>=2010 & sesso==2
outreg2 using modello_multivariato_binge.xls, label eform ci nocons append 

clear
