***Analisi cardiovascolare regionale

svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

*estpost svy, vce(linearized): tabulate anno paultimavolta, ci row percent
*estout using misuratopa_2anniXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate anno misuratocolest, ci row percent
*estout using misuratocolestXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate anno calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

keep if anno>2021


***Ipertensione
*estpost svy, vce(linearized): tabulate misuratopa, ci percent
*estout using misuratopa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate paultimavolta, ci percent
*estout using paultimavolta.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate claeta3 paultimavolta, ci row percent
*estout using paultimavoltaXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate sesso paultimavolta, ci row percent
*estout using paultimavoltaXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate istruz4cat paultimavolta, ci row percent
*estout using paultimavoltaXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate diffeconomiche3cat paultimavolta, ci row percent
*estout using paultimavoltaXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate cittadinanza paultimavolta, ci row percent
*estout using paultimavoltaXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate asl_nuova paultimavolta, ci row percent
*estout using paultimavoltaXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate iperteso, ci percent
estout using iperteso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta3 iperteso, ci row percent
estout using ipertesoXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso iperteso, ci row percent
estout using ipertesoXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat iperteso, ci row percent
estout using ipertesoXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat iperteso, ci row percent
estout using ipertesoXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza iperteso, ci row percent
estout using ipertesoXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat iperteso, ci row percent
estout using ipertesoXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova iperteso, ci row percent
estout using ipertesoXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate ipertesofarm if iperteso==1, ci percent
estout using ipertesofarm.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate ridurresalepa if iperteso==1, ci percent
estout using ridurresalepa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consiglioperdpesopa if iperteso==1, ci percent
estout using consiglioperdpesopa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consiglioattfispa if iperteso==1, ci percent
estout using consiglioattfispa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova ipertesofarm if iperteso==1, ci row percent
estout using ipertesofarmXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace




***Ipercolesterolemia
*estpost svy, vce(linearized): tabulate misuratocolest, ci percent
*estout using misuratocolest.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate colestultimavolta, ci percent
*estout using colestultimavolta.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate claeta3 misuratocolest, ci row percent
*estout using misuratocolestXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate sesso misuratocolest, ci row percent
*estout using misuratocolestXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate istruz4cat misuratocolest, ci row percent
*estout using misuratocolestXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate diffeconomiche3cat misuratocolest, ci row percent
*estout using misuratocolestXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate cittadinanza misuratocolest, ci row percent
*estout using misuratocolestXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate asl_nuova misuratocolest, ci row percent
*estout using misuratocolestXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate colestalto, ci percent
estout using colestalto.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta3 colestalto, ci row percent
estout using colestaltoXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso colestalto, ci row percent
estout using colestaltoXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat colestalto, ci row percent
estout using colestaltoXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat colestalto, ci row percent
estout using colestaltoXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza colestalto, ci row percent
estout using colestaltoXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat colestalto, ci row percent
estout using colestaltoXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova colestalto, ci row percent
estout using colestaltoXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate colestfarm if colestalto==1, ci percent
estout using colestfarm.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate ridurrecarnecolest if colestalto==1, ci percent
estout using ridurrecarnecolest.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consiglioperdpesocolest if colestalto==1, ci percent
estout using consiglioperdpesocolest.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consiglioattfiscolest if colestalto==1, ci percent
estout using consiglioattfiscolest.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consigliofruttacolest if colestalto==1, ci percent
estout using consigliofruttacolest.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova colestfarm if colestalto==1, ci row percent
estout using colestfarmXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


***Calcolo rischio cardiovascolare
*estpost svy, vce(linearized): tabulate calcolo_rischiocv, ci percent
*estout using calcolo_rischiocv.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate claeta4cv calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXclaeta4cv.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate sesso calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate istruz4cat calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate diffeconomiche3cat calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate cittadinanza calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate somma_fattori_cat calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXfattorischiocv_cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate asl_nuova calcolo_rischiocv, ci row percent
*estout using calcolo_rischiocvXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


***Profili di rischio multifattoriali
estpost svy, vce(linearized): tabulate somma_fattori, ci percent
estout using fattoririschiocv.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fatt_rischio_cv, ci percent
estout using almeno1fattrischiocv.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sedentario, ci percent
estout using sedentario.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumatore, ci percent
estout using fumatore.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat, ci percent
estout using eccponderale.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fiveaday2cat, ci percent
estout using fiveaday2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014, ci percent
estout using diabete_2014.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

xi: svy: logistic iperteso  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza 
outreg2 using modello_multivariato.xls, label eform ci nocons append

*xi: svy: logistic misuratopa_2anni  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.ncs 
*outreg2 using modello_multivariato.xls, label eform ci nocons append

*xi: svy: logistic misuratocolest  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza 
*outreg2 using modello_multivariato.xls, label eform ci nocons append

xi: svy: logistic colestalto  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza 
outreg2 using modello_multivariato.xls, label eform ci nocons append

clear
