
svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

keep if etarif>49

estpost svy, vce(linearized): tabulate anno so_col_llgg_tot if anno>2009, ci row percent
estout using so_col_llggXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno so_col_aso_tot if anno>2009, ci row percent
estout using so_col_asoXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno so_col_ass_tot if anno>2009, ci row percent
estout using so_col_assXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno so_llgg_tot if anno>2009, ci row percent
estout using so_llgg_totXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno col_llgg_tot if anno>2009, ci row percent
estout using col_llgg_totXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

keep if anno>2021

estpost svy, vce(linearized): tabulate so_col_llgg_tot, ci percent
estout using so_col_llgg.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate so_col_aso_tot, ci percent
estout using so_col_aso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate so_col_ass_tot, ci percent
estout using so_col_ass.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova so_col_llgg_tot, ci row percent
estout using so_col_llggXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova so_col_aso_tot, ci row percent
estout using so_col_asoXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova so_col_ass_tot, ci row percent
estout using so_col_assXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**** Sangue occulto

estpost svy, vce(linearized): tabulate so_llgg_tot, ci percent
estout using so_llgg_tot.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta_colon so_llgg_tot, ci row percent
estout using so_llgg_totXclaeta_colon.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso so_llgg_tot, ci row percent
estout using so_llgg_totXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat so_llgg_tot, ci row percent
estout using so_llgg_totXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat so_llgg_tot, ci row percent
estout using so_llgg_totXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza so_llgg_tot, ci row percent
estout using so_llgg_totXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova so_llgg_tot, ci row percent
estout using so_llgg_totXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


**** Colonscopia

estpost svy, vce(linearized): tabulate col_llgg_tot, ci percent
estout using col_llgg_tot.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta_colon col_llgg_tot, ci row percent
estout using col_llgg_totXclaeta_colon.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso col_llgg_tot, ci row percent
estout using col_llgg_totXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat col_llgg_tot, ci row percent
estout using col_llgg_totXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat col_llgg_tot, ci row percent
estout using col_llgg_totXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza col_llgg_tot, ci row percent
estout using col_llgg_totXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova col_llgg_tot, ci row percent
estout using col_llgg_totXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

****

estpost svy, vce(linearized): tabulate so_periodicita_tot, ci percent
estout using so_periodicita_tot.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate col_periodicita_tot, ci percent
estout using col_periodicita_tot.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate so_lett_2010, ci percent
estout using so_lett.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate so_cons_2010, ci percent
estout using so_cons.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate so_camp_2010, ci percent
*estout using so_camp.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate asl_nuova so_lett_2010, ci row percent
estout using so_lettXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova so_cons_2010, ci row percent
estout using so_consXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate asl_nuova so_camp_2010, ci row percent
*estout using so_campXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate so_numero_interventi_2022, ci percent
estout using so_numero_interventi.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate so_numero_interventi_2022 so_llgg_tot, ci row percent
estout using so_llgg_totXso_numero_interventi.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate informazioni_colon_2022 so_llgg_tot, ci row percent
estout using so_llgg_totXinformazioni_colon.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate so_pagare3cat_tot if so_llgg_tot==1, ci percent
estout using so_pagare3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate so_pagare2cat_tot if so_llgg_tot==1, ci percent
estout using so_pagare2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova so_pagare2cat_tot if so_llgg_tot==1, ci row percent
estout using so_pagare2catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate col_pagare3cat_tot if col_llgg_tot==1, ci percent
estout using col_pagare3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate col_pagare2cat_tot if col_llgg_tot==1, ci percent
estout using col_pagare2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova col_pagare2cat_tot if col_llgg_tot==1, ci row percent
estout using col_pagare2catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate no_so_motivo_2010 if so_eseg_2010 !=1 & no_so_motivo_2010 !=-99 & no_so_motivo_2010 !=., ci percent
estout using no_so_motivo.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate no_so_motivo_2010 if so_eseg_2010 !=1 & no_so_motivo_2010 !=., ci percent
estout using no_so_motivo_completa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


xi: svy: logistic so_col_llgg_tot i.claeta_colon i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.ncs 
outreg2 using modello_multivariato.xls, label eform ci nocons append

xi: svy: logistic so_col_ass_tot i.claeta_colon i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs 
outreg2 using modello_multivariato.xls, label eform ci nocons append 

xi: svy: logistic so_col_aso_tot i.claeta_colon i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.ncs 
outreg2 using modello_multivariato.xls, label eform ci nocons append

xi: svy: logistic so_llgg_tot i.claeta_colon i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.ncs 
outreg2 using modello_multivariato.xls, label eform ci nocons append

xi: svy: logistic col_llgg_tot i.claeta_colon i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.ncs 
outreg2 using modello_multivariato.xls, label eform ci nocons append

clear

