***Analisi diabete regionale

svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

estpost svy, vce(linearized): tabulate anno diabete_2014, ci row percent
estout using diabeteXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno diabete_2014 if claeta3==1, ci row percent
estout using diabete1834Xanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno diabete_2014 if claeta3==2, ci row percent
estout using diabete3549Xanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno diabete_2014 if claeta3==3, ci row percent
estout using diabete5069Xanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno diabete_2014 if sesso==1, ci row percent
estout using diabeteUominiXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno diabete_2014 if sesso==2, ci row percent
estout using diabeteDonneXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

keep if anno>2021

estpost svy, vce(linearized): tabulate diabete_2014, ci percent
estout using diabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta3 diabete_2014, ci row percent
estout using diabeteXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso diabete_2014, ci row percent
estout using diabeteXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat diabete_2014, ci row percent
estout using diabeteXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz2cat diabete_2014, ci row percent
estout using diabeteXistruz2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat diabete_2014, ci row percent
estout using diabeteXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche2cat diabete_2014, ci row percent
estout using diabeteXdiffeconomiche2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza diabete_2014, ci row percent
estout using diabeteXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate obeso diabete_2014, ci row percent
estout using diabeteXobeso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova diabete_2014, ci row percent
estout using diabeteXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate diabete_2014 iperteso, ci row percent
estout using ipertesoXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 colestalto, ci row percent
estout using colestaltoXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 fumatore, ci row percent
estout using fumatoreXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 imc3cat, ci row percent
estout using imc3catXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 imc2cat, ci row percent
estout using imc2catXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 sedentario, ci row percent
estout using sedentarioXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 fiveaday2cat, ci row percent
estout using fiveaday2catXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


*estpost svy, vce(linearized): tabulate diabete_2014 paultimoanno, ci row percent
*estout using paultimoannoXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate diabete_2014 colestultimavolta, ci row percent
*estout using colestultimavoltaXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 ipertesofarm if iperteso==1, ci row percent
estout using ipertesofarmXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 colestfarm if colestalto ==1, ci row percent
estout using colsestfarmXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate diabete_2014 fa_dieta if imc3cat !=1, ci row percent
estout using dieta_eccpondXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 adesionelg, ci row percent
estout using adesionelgafXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate diabete_2014 consigli_peso_bis if imc3cat !=1, ci row percent
estout using consperdpeso_eccpondXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 medicosuggaf_2014, ci row percent
estout using consattfisXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diabete_2014 consigliosmettere_bis_tot if fumatore==1, ci row percent
estout using conssmettere_fumatoriXdiabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


xi: svy: logistic diabete_2014  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza
outreg2 using modello_multivariato.xls, label eform ci nocons append


keep if diabete_2014==1

estpost svy, vce(linearized): tabulate dachiseguito, ci percent
estout using dachiseguito.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

svy, vce(linearized): mean s07_diab_nvolte_medico if (s07_diab_nvolte_medico>0 & s07_diab_nvolte_medico !=.)
putexcel set numvisitemedico.xls, replace
putexcel B1="s07_diab_nvolte_medico"
putexcel A2=matrix(r(table)), rownames

svy, vce(linearized): mean s07_diab_nvolte_centro if (s07_diab_nvolte_centro>0 & s07_diab_nvolte_centro !=.)
putexcel set numvisitecentro.xls, replace
putexcel B1="s07_diab_nvolte_centro"
putexcel A2=matrix(r(table)), rownames

estpost svy, vce(linearized): tabulate controllo_HbA1c, ci percent
estout using controllo_HbA1c.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate farmaci_diabete, ci percent
estout using farmaci_diabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate farmaci_orali_diabete, ci percent
estout using farmaci_orali_diabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate farmaci_insulina_diabete, ci percent
estout using farmaci_insulina_diabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate farmaci_iniezioni_diabete, ci percent
estout using farmaci_iniezioni_diabete.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

clear
