***Analisi sicurezza stradale regionale

svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

*estpost svy, vce(linearized): tabulate anno cintantsempre, ci row percent
*estout using cintantXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno cintpostsempre, ci row percent
estout using cintpostXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno cascosempre, ci row percent
estout using cascoXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

keep if anno>2022

*estpost svy, vce(linearized): tabulate cintantsempre, ci percent
*estout using cintant.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate claeta4 cintantsempre, ci row percent
*estout using cintantXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate sesso cintantsempre, ci row percent
*estout using cintantXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate istruz4cat cintantsempre, ci row percent
*estout using cintantXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate diffeconomiche3cat cintantsempre, ci row percent
*estout using cintantXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate cittadinanza cintantsempre, ci row percent
*estout using cintantXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate asl_nuova cintantsempre, ci row percent
*estout using cintantXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate cintpostsempre, ci percent
estout using cintpost.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 cintpostsempre, ci row percent
estout using cintpostXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso cintpostsempre, ci row percent
estout using cintpostXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat cintpostsempre, ci row percent
estout using cintpostXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat cintpostsempre, ci row percent
estout using cintpostXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza cintpostsempre, ci row percent
estout using cintpostXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova cintpostsempre, ci row percent
estout using cintpostXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate cascosempre, ci percent
estout using casco.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 cascosempre, ci row percent
estout using cascoXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso cascosempre, ci row percent
estout using cascoXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat cascosempre, ci row percent
estout using cascoXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat cascosempre, ci row percent
estout using cascoXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza cascosempre, ci row percent
estout using cascoXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova cascosempre, ci row percent
estout using cascoXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*xi: svy: logistic cascosempre  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza
*outreg2 using modello_multivariato.xls, label eform ci nocons append

*xi: svy: logistic cintpostsempre  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza
*outreg2 using modello_multivariato.xls, label eform ci nocons append 

*xi: svy: logistic cintantsempre  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza
*outreg2 using modello_multivariato.xls, label eform ci nocons append 




keep if s14_anni_bamb_piu_piccolo<7
keep if s14_anni_bamb_piu_piccolo !=-99

estpost svy, vce(linearized): tabulate difficolta_uso_2cat, ci percent
estout using difficolta_uso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate sentito_camp_dispositivi, ci percent
*estout using sentito_camp_dispositivi.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta2 difficolta_uso_2cat, ci row percent
estout using difficolta_usoXclaeta2.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso difficolta_uso_2cat, ci row percent
estout using difficolta_usoXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz2cat difficolta_uso_2cat, ci row percent
estout using difficolta_usoXistruz2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat difficolta_uso_2cat, ci row percent
estout using difficolta_usoXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta_bambino_2cat difficolta_uso_2cat, ci row percent
estout using difficolta_usoXclaeta_bambino.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate cintantsempre difficolta_uso_2cat, ci row percent
*estout using difficolta_usoXcintant.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate sentito_camp_dispositivi difficolta_uso_2cat, ci row percent
*estout using difficolta_usoXsentito_camp_dispositivi.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

clear






