***Analisi fumo regionale

svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

estpost svy, vce(linearized): tabulate anno imc2cat, ci row percent
estout using imc2catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno imc3cat, ci row percent
estout using imc3catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consigli_peso_bis if imc2cat==1, ci row percent
estout using consperdpesoXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fiveaday2cat, ci row percent
estout using fiveaday2catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno almeno3porz, ci row percent
estout using almeno3porzXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

keep if anno>2021

estpost svy, vce(linearized): tabulate imc4cat, ci percent
estout using imc4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc3cat, ci percent
estout using imc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat, ci percent
estout using imc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso imc3cat, ci row percent
estout using imc3catXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta3 imc3cat, ci row percent
estout using imc3catXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat imc3cat, ci row percent
estout using imc3catXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat imc3cat, ci row percent
estout using imc3catXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza imc3cat, ci row percent
estout using imc3catXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova imc3cat, ci row percent
estout using imc3catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova imc2cat, ci row percent
estout using imc2catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate imc3cat autopercez_peso, ci row percent
**estout using autopercezpesoXimc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate imc3cat autopercez_peso if sesso==1, ci row percent
**estout using autopercezpesoXimc3cat_m.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate imc3cat autopercez_peso if sesso==2, ci row percent
**estout using autopercezpesoXimc3cat_f.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fiveaday4cat, ci percent
estout using porzfruttaverdura.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fiveaday2cat, ci percent
estout using fiveaday.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso fiveaday2cat, ci row percent
estout using fiveadayXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta3 fiveaday2cat, ci row percent
estout using fiveadayXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat fiveaday2cat, ci row percent
estout using fiveadayXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat fiveaday2cat, ci row percent
estout using fiveadayXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza fiveaday2cat, ci row percent
estout using fiveadayXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova fiveaday2cat, ci row percent
estout using fiveadayXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc3cat fiveaday2cat, ci row percent
estout using fiveadayXimc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consigli_peso_bis if imc2cat==1, ci percent
estout using consperdpeso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc3cat consigli_peso_bis if imc2cat==1, ci row percent
estout using consperdpesoXimc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova consigli_peso_bis if imc2cat==1, ci row percent
estout using consperdpesoXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fa_dieta if imc2cat==1, ci percent
estout using seguedieta.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc3cat fa_dieta if imc2cat==1, ci row percent
estout using seguedietaXimc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso fa_dieta if imc2cat==1, ci row percent
estout using seguedietaXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate autopercez_peso fa_dieta if imc2cat==1 & autopercez_peso !=3, row ci percent
**estout using seguedietaXautopercezpeso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consigli_peso_bis fa_dieta if imc2cat==1, row ci percent
estout using seguedietaXconsperdpeso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc3cat almeno_attiv_mod if imc2cat==1, row ci percent
estout using attfisicaXimc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate medicosuggaf_2014 if imc2cat==1, ci percent
estout using consattfis.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc3cat medicosuggaf_2014 if imc2cat==1, ci row percent
estout using consattfisXimc3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate medicosuggaf_2014 almeno_attiv_mod if imc2cat==1, ci row percent
estout using attfisicaXconsattfis.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova medicosuggaf_2014 if imc2cat==1, ci row percent
estout using consattfisXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate imc2cat iperteso, ci row percent
estout using ipertesoXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat colestalto, ci row percent
estout using colestaltoXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat diabete_2014, ci row percent
estout using diabeteXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat ima, ci row percent
estout using infartoXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate imc2cat broncasma, ci row percent
estout using malrespXimc2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate almeno3porz, ci percent
estout using almeno3porz.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso almeno3porz, ci row percent
estout using almeno3porzXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta3 almeno3porz, ci row percent
estout using almeno3porzXclaeta3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat almeno3porz, ci row percent
estout using almeno3porzXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat almeno3porz, ci row percent
estout using almeno3porzXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza almeno3porz, ci row percent
estout using almeno3porzXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


xi: svy: logistic imc2cat  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza 
outreg2 using modello_multivariato.xls, label eform ci nocons append

xi: svy: logistic fiveaday2cat  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza 
outreg2 using modello_multivariato.xls, label eform ci nocons append 

clear
