***Analisi fumo regionale

svyset [pweight=pesocomplex], strata(asl_strato) psu(cont_aslstrato) singleunit(centered)
set more off

estpost svy, vce(linearized): tabulate anno fumatore, ci row percent
estout using fumatoreXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fumatore if claeta3==1, ci row percent
estout using fumatoreXanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fumatore if claeta3==2, ci row percent
estout using fumatoreXanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fumatore if claeta3==3, ci row percent
estout using fumatoreXanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fumatore if sesso==1, ci row percent
estout using fumatoreXanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fumatore if sesso==2, ci row percent
estout using fumatoreXanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate anno tentativosmettere_2cat, ci row percent
estout using tentativosmettereXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno tentativosmettere_2cat if claeta3==1, ci row percent
estout using tentativosmettere_2catXanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno tentativosmettere_2cat if claeta3==2, ci row percent
estout using tentativosmettere_2catXanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno tentativosmettere_2cat if claeta3==3, ci row percent
estout using tentativosmettere_2catXanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno tentativosmettere_2cat if sesso==1, ci row percent
estout using tentativosmettere_2catXanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno tentativosmettere_2cat if sesso==2, ci row percent
estout using tentativosmettere_2catXanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


**estpost svy, vce(linearized): tabulate anno risp_div_locali_2cat if s03_fumo_pubblico !=5, ci row percent
**estout using rispdivlocali2catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate anno risp_div_locali_sempre if s03_fumo_pubblico !=5, ci row percent
**estout using rispdivlocalisempre2catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno risp_divieto_su_lavoro_2cat if s03_fumo_lavoro!=5 & s03_lav_amb_chiusi==1, ci row percent
estout using rispdivlavoro2catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno risp_divieto_su_lavoro_sempre if s03_fumo_lavoro!=5 & s03_lav_amb_chiusi==1, ci row percent
estout using rispdivlavorosempre2catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno fumocasa, ci row percent
estout using fumocasaXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_elett_tot, ci row percent
estout using sig_elett_totXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_elett_tot if claeta3==1, ci row percent
estout using sig_elett_totXanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_elett_tot if claeta3==2, ci row percent
estout using sig_elett_totXanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_elett_tot if claeta3==3, ci row percent
estout using sig_elett_totXanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_elett_tot if sesso==1, ci row percent
estout using sig_elett_totXanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_elett_tot if sesso==2, ci row percent
estout using sig_elett_totXanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate anno sig_mano_3cat, ci row percent
estout using sig_mano_3catXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_mano_3cat if claeta3==1, ci row percent
estout using sig_mano_3catXanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_mano_3cat if claeta3==2, ci row percent
estout using sig_mano_3catXanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_mano_3cat if claeta3==3, ci row percent
estout using sig_mano_3catXanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_mano_3cat if sesso==1, ci row percent
estout using sig_mano_3catXanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno sig_mano_3cat if sesso==2, ci row percent
estout using sig_mano_3catXanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno iqos, ci row percent
estout using iqosXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno iqos if claeta3==1, ci row percent
estout using iqosXanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno iqos if claeta3==2, ci row percent
estout using iqosXanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno iqos if claeta3==3, ci row percent
estout using iqosXanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno iqos if sesso==1, ci row percent
estout using iqosXanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno iqos if sesso==2, ci row percent
estout using iqosXanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate anno consigliosmettere_bis_2010 if s03_fumo_chiesto!=4, ci row percent
estout using consigliosmettere_bis_2010Xanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consigliosmettere_bis_2010 if s03_fumo_chiesto!=4 & claeta3==1, ci row percent
estout using consigliosmettere_bis_2010Xanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consigliosmettere_bis_2010 if s03_fumo_chiesto!=4 & claeta3==2, ci row percent
estout using consigliosmettere_bis_2010Xanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consigliosmettere_bis_2010 if s03_fumo_chiesto!=4 & claeta3==3, ci row percent
estout using consigliosmettere_bis_2010Xanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consigliosmettere_bis_2010 if s03_fumo_chiesto!=4 &sesso==1, ci row percent
estout using consigliosmettere_bis_2010Xanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno consigliosmettere_bis_2010 if s03_fumo_chiesto!=4 & sesso==2, ci row percent
estout using consigliosmettere_bis_2010Xanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate anno poliuso_tot_2024 , ci row percent
estout using poliuso_tot_2024Xanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_2024 if claeta3==1, ci row percent
estout using poliuso_tot_2024Xanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_2024 if claeta3==2, ci row percent
estout using poliuso_tot_2024Xanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_2024 if claeta3==3, ci row percent
estout using poliuso_tot_2024Xanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_2024 if sesso==1, ci row percent
estout using poliuso_tot_2024Xanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_2024 if sesso==2, ci row percent
estout using poliuso_tot_2024Xanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate anno poliuso_tot_4cat_2024 , ci row percent
estout using poliuso_tot_4cat_2024Xanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_4cat_2024 if claeta3==1, ci row percent
estout using poliuso_tot_4cat_2024Xanno_1834.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_4cat_2024 if claeta3==2, ci row percent
estout using poliuso_tot_4cat_2024Xanno_3549.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_4cat_2024 if claeta3==3, ci row percent
estout using poliuso_tot_4cat_2024Xanno_5069.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_4cat_2024 if sesso==1, ci row percent
estout using poliuso_tot_4cat_2024Xanno_M.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno poliuso_tot_4cat_2024 if sesso==2, ci row percent
estout using poliuso_tot_4cat_2024Xanno_F.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



keep if anno>2022

estpost svy, vce(linearized): tabulate fumatore3, ci percent
estout using fumatore3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumo_tutto, ci percent
estout using fumo_tutto.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumo_tutto2, ci percent
estout using fumo_tutto2.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate abitudinefumo, ci percent
estout using abitudinefumo.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso fumatore3, ci row percent
estout using fumatore3Xsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumatore, ci percent
estout using fumatore.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 fumatore, ci row percent
estout using fumatoreXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso fumatore, ci row percent
estout using fumatoreXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat fumatore, ci row percent
estout using fumatoreXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat fumatore, ci row percent
estout using fumatoreXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza fumatore, ci row percent
estout using fumatoreXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

svy, vce(linearized): mean s03_fumo_quanto if s03_fumo_quanto>0
putexcel set fumoquanto.xls, replace
putexcel B1="s03_fumo_quanto"
putexcel A2=matrix(r(table)), rownames

estpost svy, vce(linearized): tabulate tipofumatore if s03_fumo==1 & s03_fumo_att=="t" , ci percent
estout using tipofumatore.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova fumatore, ci row percent
estout using fumatoreXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate exfumatore, ci percent
estout using exfumatore.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 exfumatore, ci row percent
estout using exfumatoreXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso exfumatore, ci row percent
estout using exfumatoreXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat exfumatore, ci row percent
estout using exfumatoreXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat exfumatore, ci row percent
estout using exfumatoreXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza exfumatore, ci row percent
estout using exfumatoreXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova exfumatore, ci row percent
estout using exfumatoreXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate chiestosefuma_bis if s03_fumo_chiesto!=4, ci percent
estout using chiestosefuma.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumatore3 chiestosefuma_bis if s03_fumo_chiesto!=4, ci row percent
estout using chiestosefumaXfumatore3.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova chiestosefuma_bis if s03_fumo_chiesto!=4, ci row percent
estout using chiestosefumaXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consigliosmettere_bis_2010 if s03_fumo_chiesto!=4, ci percent
estout using consigliosmettere.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate consigliosmettere_2010 if s03_fumo_chiesto!=4, ci percent
estout using motivoconsigliosmettere.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova consigliosmettere_bis_2010 if s03_fumo_chiesto!=4, ci row percent
estout using consigliosmettereXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate tentativosmettere_2cat, ci percent
estout using tentativosmettere.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta4 tentativosmettere_2cat, ci row percent
estout using tentativosmettereXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso tentativosmettere_2cat, ci row percent
estout using tentativosmettereXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat tentativosmettere_2cat, ci row percent
estout using tentativosmettereXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat tentativosmettere_2cat, ci row percent
estout using tentativosmettereXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza tentativosmettere_2cat, ci row percent
estout using tentativosmettereXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate tentativosmettere2, ci percent
estout using esitotentativo.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate smessocome_tot_2016 if tentativosmettere_2cat==1, ci percent
estout using smessocometot2016.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate comehasmesso_2016 if tentativosmettere_2cat==1, ci percent
estout using comehasmesso2016.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate smessocome_tot_2014 if tentativosmettere_2cat==1, ci percent
*estout using smessocometot2014.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate comehasmesso_2014 if tentativosmettere_2cat==1, ci percent
*estout using comehasmesso2014.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate risp_divieto_in_locali if s03_fumo_pubblico !=5, ci percent
**estout using rispdivlocali.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate risp_div_locali_2cat if s03_fumo_pubblico !=5, ci percent
**estout using rispdivlocali2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

**estpost svy, vce(linearized): tabulate asl_nuova risp_div_locali_2cat if s03_fumo_pubblico !=5, ci row percent
**estout using rispdivlocali2catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate risp_divieto_su_lavoro if s03_fumo_lavoro!=5 & s03_lav_amb_chiusi==1, ci percent
estout using rispdivlavoro.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate risp_divieto_su_lavoro_2cat if s03_fumo_lavoro!=5 & s03_lav_amb_chiusi==1, ci percent
estout using rispdivlavoro2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova risp_divieto_su_lavoro_2cat if s03_fumo_lavoro!=5 & s03_lav_amb_chiusi==1, ci row percent
estout using rispdivlavoro2catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumocasa, ci percent
estout using fumocasa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate fumocasa if s14_con_bamb=="t", ci percent
estout using fumocasabambini.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


*****sigarette elettroniche


estpost svy, vce(linearized): tabulate sig_elett_tot, ci percent
estout using sig_elett_tot.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate claeta4 sig_elett_tot, ci row percent
estout using sig_elett_totXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso sig_elett_tot, ci row percent
estout using sig_elett_totXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat sig_elett_tot, ci row percent
estout using sig_elett_totXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat sig_elett_tot, ci row percent
estout using sig_elett_totXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza sig_elett_tot, ci row percent
estout using sig_elett_totXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate iqos, ci percent
estout using iqos.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate claeta4 iqos, ci row percent
estout using iqosXclaeta4.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate sesso iqos, ci row percent
estout using iqosXsesso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat iqos, ci row percent
estout using iqosXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat iqos, ci row percent
estout using iqosXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza iqos, ci row percent
estout using iqosXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate puff, ci percent
estout using puff.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate poliuso_tot_4cat_2024, ci percent
estout using poliuso_tot_4cat_2024.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


xi: svy: logistic fumatore  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs
outreg2 using modello_multivariato_fumatore.xls, label eform ci nocons append
xi: svy: logistic fumatore  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs if sesso==1
outreg2 using modello_multivariato_fumatore.xls, label eform ci nocons append
xi: svy: logistic fumatore  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs if sesso==2
outreg2 using modello_multivariato_fumatore.xls, label eform ci nocons append

xi: svy: logistic exfumatore  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs
outreg2 using modello_multivariato_exfumatore.xls, label eform ci nocons append 
xi: svy: logistic exfumatore  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs if sesso==1
outreg2 using modello_multivariato_exfumatore.xls, label eform ci nocons append 
xi: svy: logistic exfumatore  i.sesso i.claeta3 i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.ncs if sesso==2
outreg2 using modello_multivariato_exfumatore.xls, label eform ci nocons append 

clear
