
svyset [pweight=pesocomplex_pap], strata(asl_strato_pap) psu(cont_aslstrato) singleunit(centered)
set more off

keep if sesso==2

estpost svy, vce(linearized): tabulate anno utero_llgg, ci row percent
estout using utero_llggXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno utero_aso, ci row percent
estout using utero_asoXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate anno utero_ass, ci row percent
estout using utero_assXanno.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace




keep if anno>2022

estpost svy, vce(linearized): tabulate utero_llgg, ci percent
estout using utero_llgg.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta_pap utero_llgg, ci row percent
estout using utero_llggXclaeta_pap.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate statocivile2cat utero_llgg, ci row percent
estout using utero_llggXstatocivile.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate convivenza_pap utero_llgg, ci row percent
estout using utero_llggXconvivenza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat utero_llgg, ci row percent
estout using utero_llggXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat utero_llgg, ci row percent
estout using utero_llggXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza utero_llgg, ci row percent
estout using utero_llggXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova utero_llgg, ci row percent
estout using utero_llggXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate utero_aso, ci percent
estout using utero_aso.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta_pap utero_aso, ci row percent
estout using utero_asoXclaeta_pap.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate statocivile2cat utero_aso, ci row percent
estout using utero_asoXstatocivile.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate convivenza_pap utero_aso, ci row percent
estout using utero_asoXconvivenza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat utero_aso, ci row percent
estout using utero_asoXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat utero_aso, ci row percent
estout using utero_asoXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza utero_aso, ci row percent
estout using utero_asoXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova utero_aso, ci row percent
estout using utero_asoXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace




estpost svy, vce(linearized): tabulate utero_ass, ci percent
estout using utero_ass.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate claeta_pap utero_ass, ci row percent
estout using utero_assXclaeta_pap.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate statocivile2cat utero_ass, ci row percent
estout using utero_assXstatocivile.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate convivenza_pap utero_ass, ci row percent
estout using utero_assXconvivenza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate istruz4cat utero_ass, ci row percent
estout using utero_assXistruz4cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate diffeconomiche3cat utero_ass, ci row percent
estout using utero_assXdiffeconomiche3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate cittadinanza utero_ass, ci row percent
estout using utero_assXcittadinanza.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova utero_ass, ci row percent
estout using utero_assXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate utero_periodicita , ci percent
estout using utero_periodicita.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate  utero_let if s08_pap_cons!=3, ci percent
estout using utero_lettera.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate  asl_nuova utero_let if s08_pap_cons!=3, ci row percent
estout using utero_letXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace


estpost svy, vce(linearized): tabulate  utero_cons if s08_pap_cons!=3, ci percent
estout using utero_consiglio.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate  asl_nuova utero_cons if s08_pap_cons!=3, ci row percent
estout using utero_consXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate  utero_camp if s08_pap_cons!=3, ci percent
*estout using utero_campagna.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

*estpost svy, vce(linearized): tabulate  asl_nuova utero_camp if s08_pap_cons!=3, ci row percent
*estout using utero_campXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace



estpost svy, vce(linearized): tabulate utero_numero_interventi_3cat  if s08_pap_cons!=3, ci percent
estout using utero_numero_interventi.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate utero_numero_interventi_3cat utero_llgg if s08_pap_cons!=3, ci row percent
estout using uterollggXnumero_interventi.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate informazioni_utero_0815 utero_llgg if s08_pap_cons!=3, ci row percent
estout using uterollggXinformazioni.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace




estpost svy, vce(linearized): tabulate utero_pagare3cat if utero_llgg==1, ci percent
estout using utero_pagare3cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate utero_pagare2cat if utero_llgg==1, ci percent
estout using utero_pagare2cat.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate asl_nuova utero_pagare2cat if utero_llgg==1, ci row percent
estout using utero_pagare2catXasl.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace




estpost svy, vce(linearized): tabulate no_pap_motivo if s08_no_pap_motivo!=-99, ci percent
estout using no_pap_motivo.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace

estpost svy, vce(linearized): tabulate no_pap_motivo, ci percent
estout using no_pap_motivo_completa.csv, delimiter(";") cells ((b(fmt(2)) lb ub obs(fmt(0)))) replace




xi: svy: logistic utero_llgg i.claeta_pap i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.statocivile2cat i.convivenza_pap
outreg2 using modello_multivariato.xls, label eform ci nocons replace

xi: svy: logistic utero_ass i.claeta_pap i.istruz4cat i.diffeconomiche3cat i.cittadinanza i.statocivile2cat i.convivenza_pap
outreg2 using modello_multivariato.xls, label eform ci nocons append 

xi: svy: logistic utero_aso i.claeta_pap i.istruz4cat i.diffeconomiche3cat i.cittadinanza  i.statocivile2cat i.convivenza_pap
outreg2 using modello_multivariato.xls, label eform ci nocons append


clear
